Freelancer Community Network
Reminder: Internet Explorer 6 or below are NOT supported.
HomeHome
ForumForum
WikiWiki
DownloadsDownloads
ForgeForge
Multiplayer Connection Tutorial
Collapse/Expand Random Image
Collapse/Expand Login
Username:

Password:

Remember me



Lost Password?

Register now!
Collapse/Expand Chat
Collapse/Expand Who's Online
78 user(s) are online (45 user(s) are browsing Forum)

Members: 0
Guests: 78

more...
Collapse/Expand Donations
Monthly costs: -30€
Income (ads): +5€
Donations (last month): +165€

Current balance: 105€
(last updated 02/2021)

Please make a donation if you want to help keeping The-Starport online:

Thanks!
Collapse/Expand Links
Collapse/Expand Advertisement
There are currently 22 users playing Freelancer on 38 servers.
April. 14, 2021

Browsing this Thread:   1 Anonymous Users



 Bottom   Previous Topic   Next Topic  Register To Post

« 1 2 3 4 (5) 6 7 8 »


Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Home away from home
Joined:
2009/7/30 4:40
From P.R.C
Group:
Registered Users
Senior Members
Posts: 849
Offline
I just want....to get my plugin compatible with both....

I tried compile my plugin with VC10E to support KosAcid one. but i can't...the sdk gives me a lot's of error messages...

Posted on: 2011/10/29 13:09
Sorry for my poor english...
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Home away from home
Joined:
2008/9/11 15:55
From Somewhere at Moscow
Group:
Registered Users
FLServer Admins
$$$ Supporters $$$
Senior Members
Posts: 1766
Offline
For vc10 there is small workaround http://forge.the-starport.net/issues/159#note-4 - it is not recommended by W0dk4 but for vc10 plugins it works well.

I do not see any problems yet with vc10 plugins which i've ported and choosed from KosAcids repo so while i'm using only vc10 hook and all works well

Posted on: 2011/10/29 14:01
Open Sirius Mod
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Home away from home
Joined:
2008/9/11 15:55
From Somewhere at Moscow
Group:
Registered Users
FLServer Admins
$$$ Supporters $$$
Senior Members
Posts: 1766
Offline

Posted on: 2011/10/29 14:28
Open Sirius Mod
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Home away from home
Joined:
2009/7/30 4:40
From P.R.C
Group:
Registered Users
Senior Members
Posts: 849
Offline
Done, Thank you Helloween, i just send both two version to that guy and let them choice themself.

Oh, the last one question, that about DSAceServer Plugin? Is it updated to FLHook 2.0 too?

Is the DSAceServer Plugin is the must one for a Discovery Server? If not, they will can use KA FLHook 2.0 and plugins now.

Posted on: 2011/10/29 15:13
Sorry for my poor english...
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Home away from home
Joined:
2008/9/11 15:55
From Somewhere at Moscow
Group:
Registered Users
FLServer Admins
$$$ Supporters $$$
Senior Members
Posts: 1766
Offline
Quote:

NeXoSE wrote:
Done, Thank you Helloween, i just send both two version to that guy and let them choice themself.

Oh, the last one question, that about DSAceServer Plugin? Is it updated to FLHook 2.0 too?

Is the DSAceServer Plugin is the must one for a Discovery Server? If not, they will can use KA FLHook 2.0 and plugins now.


No. Cannon ignores me although in Readme.txt of http://forge.the-starport.net/attachm ... very_release_8July2011.7z there is

Code:

The dsacesrv plugin source is available on request. Ask
me if you really want it.


So ask Cannon and port yourself

Posted on: 2011/10/29 17:06
Open Sirius Mod
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Just can't stay away
Joined:
2008/3/11 16:11
From Belarus, Minsk
Group:
Registered Users
Senior Members
Posts: 384
Offline
Any hope for plugins with 88Flak Hook features?
Like preventing certain items mountable on certain ships, individual solar respawn times?
Limiting player unmounted equipment would also be of use.

Posted on: 2011/11/26 12:18
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Not too shy to talk
Joined:
2011/8/3 19:16
Group:
Registered Users
Posts: 88
Offline
Hello,
In the Cloak plugin, option "DropShieldsCloak" does not work.

add :
Code:
[...]
///bool set_bPreventFireCloak;
bool set_bDropShieldsCloak; 
[...] 
///PrintUserCmdText(iClientID, set_wscCloakPrepareMsg);
if(set_bDropShieldsCloak){
     pub::SpaceObj::DrainShields(iShip); }
[...] 
///set_bPreventFireCloak = IniGetB(scPluginCfgFile, "General", "PreventFireCloak", false);
set_bDropShieldsCloak = IniGetB(scPluginCfgFile, "General", "DropShieldsCloak", false);

Posted on: 2011/12/30 19:53
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Just popping in
Joined:
2012/1/15 22:25
Group:
Registered Users
Posts: 12
Offline
Dock Restrict doesn't work. It'll deny the player docking, but even if you have the proper item to unlock it, it won't work.
It also doesn't display dock denied messages. And when it does, it displays the ones I had from 1.61, which were changed. In fact, even deleting any entries from DockRestrict.ini had no effect, it still worked as if there were no changes.
So a lot of things wrong with it in general.


Posted on: 2012/2/27 1:37
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Home away from home
Joined:
2008/9/11 15:55
From Somewhere at Moscow
Group:
Registered Users
FLServer Admins
$$$ Supporters $$$
Senior Members
Posts: 1766
Offline
Thx Starworld - we will take a note.

@MasterofSocks

Try Adoxa's http://adoxa.3eeweb.com/freelancer/plugins.html#dockkey

Don't look at "SP only".

It works well at server-side even if client changed his dock_key.ini - Jeider checked this feature.

Posted on: 2012/2/27 20:33
Open Sirius Mod
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Just popping in
Joined:
2012/1/15 22:25
Group:
Registered Users
Posts: 12
Offline
Alright, that works just fine.

Posted on: 2012/2/28 1:52
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Home away from home
Joined:
2008/5/13 15:48
Group:
Registered Users
FLServer Admins
$$$ Supporters $$$
Senior Members
Posts: 662
Offline
Check 4 updates


We are currently using KOSACID's 2.0 plugin version
with our test version and the last cloak and dockrestrict - plugin
work fine.

Posted on: 2012/3/7 14:04
Open in new window
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Just can't stay away
Joined:
2010/10/21 16:18
Group:
Registered Users
FLServer Admins
Posts: 202
Offline
hello, just a question, i use the 2.0 flhoo version, and when i buy a ship, CTD when I launh in space, with the 1.6.7 test 19, all is good... Any idea ?

EDIT : PROBLEM SOLVED / Corrupted file, downloaded again and all is ok

Posted on: 2012/3/19 20:28
Burn the gum, Not your Soul...
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Quite a regular
Joined:
2009/7/16 5:43
From Germany
Group:
Registered Users
Posts: 163
Offline
so im having problems with the flhook plugin version.
no matter which version i try, all generating the same fl server errors and the server is just stucked.
Code:
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_nf_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[no_thruster] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_mnr_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_mnr_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_kb_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_lnr_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_kb_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_mnr_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_kb_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_lnr_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_rb_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_rb_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_rb_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_lnr_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_mnr_engine_01] not supported/equippable!
E:\FL\Scratch\Source\Common\CEqObj.cpp(463) : *** WARNING: alloc_equip: Archetype[ge_s_tractor_01] not supported/equippable!

(hashes converted via adoxas tools)

when im using a "normal" version of flhook (or even start the server without flhook), nothing of the above happens and everythings works fine & without any error message.
(even without plugins the flhook-plugin-version "stucks" the server )

Quote:

Helloween wrote (in PM):
Think there is wrong archetypes somwhere at hook plugin ini and its plugin ini files :/


I redownloaded & checked every plugin, but theres no wrong item or smth similar.
Then i tested all the different version with vanilla Freelancer and even more yellow erros appeared.

So does anyone around have a clue?

greetz,

Posted on: 2012/4/5 22:36
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Home away from home
Joined:
2008/5/13 15:48
Group:
Registered Users
FLServer Admins
$$$ Supporters $$$
Senior Members
Posts: 662
Offline
My experiences / recommendations:

- set 'LoadAllPlugins=no' in the FlHook.ini [Plugins] section
and try to load the plugins 1 by 1
- be sure to have the l8est plugin
- don't mix plugins of different versions and from different sources
- try to disable (remove) 'repairgun.dll' and 'faststart.dll'
and finally
- remove all unused DLLs, INIs and other stuff from the plugin directory

Also you might want to check, if the FlHook.dll
and the plugin DLLs are the correct version after
activating your mod with the FLMM.
I assume, the FLMM does funny things with DLLs it gets hold of.
(Didn't do testing @ this, but removed all
'work in progress' and backup DLLs from
the current WTS test version (even those in
special directories) for that reason.

Posted on: 2012/4/6 8:14
Open in new window
Top
Re: 2.0.0 Plugins/KosAcid Projects/Plugin Ports
Home away from home
Joined:
2008/9/11 15:55
From Somewhere at Moscow
Group:
Registered Users
FLServer Admins
$$$ Supporters $$$
Senior Members
Posts: 1766
Offline
Try to comment out this equip.
Start the server again - if works, compare definitions of this custom equip with vanilla one - do the same code style as vanilla - start the server again.

Posted on: 2012/4/6 8:15
Open Sirius Mod
Top
« 1 2 3 4 (5) 6 7 8 »